repo/gentoo:master commit in: dev-python/tox/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786681270.d1d28d92f3a7849a04ed5cf9bfde42848e3006e5.mgorny@gentoo>
commit:     d1d28d92f3a7849a04ed5cf9bfde42848e3006e5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 03:42:56 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 04:21:10 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1d28d92

dev-python/tox: Bump to 4.60.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tox/Manifest          |  2 +
 dev-python/tox/tox-4.60.0.ebuild | 83 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 6060598fd252..6203c15c242c 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -6,3 +6,5 @@ DIST tox-4.58.0.tar.gz 296926 BLAKE2B 755820109ce9f90b5039d79bf368df09fb8e1f7b97
 DIST tox-4.58.0.tar.gz.provenance 9487 BLAKE2B 9e7e230add9749ec7b942c0a9df58932a626970980d6cd51f845b38e56129a24b3e6b8910e940ccbece5a5721809b98f02709c3d27d19911ef5045d757e49acb SHA512 59ad986a6b929450a45a1d5d59ffed766aa7d14800324a23edf65d5b1da1bf53a6ca53407d2b9ba9274af3a28a5338866d97ccd868d837c9a360440558f0fcb5
 DIST tox-4.59.0.tar.gz 301050 BLAKE2B 4db66e79dc78155df0386fe2b6fdd565a07dc6531a1e233d3a55d1bceaad29aa67c31ae6ed748008607e54ec47a5e9688e9bdceb9696a3a569ffc2535887ba00 SHA512 3aff867286630ffab2ebacb1844e11cb9ecba1f8cd83d788f3b44eee8f643f8f5e43b0ca40ba278ba60da978d96f335887101157e08577ba837cb625a9bc7f72
 DIST tox-4.59.0.tar.gz.provenance 9593 BLAKE2B 3d46356d935cb695161a8b7baf8e60be06a0d498e8da6f4ba64c34d21177c81dfa82667ddd98aece4292b33899fa886122d6a8d5504f990417cd7ce1f9a49b5b SHA512 fb9dc287b4232aeea98eaf456811aee712aa07c310db82ab52c17897c1fba1886116c3b6a8fd4950dfe8712e720ff44a2c0574cfc7eeaf1ea66c73791532b435
+DIST tox-4.60.0.tar.gz 301598 BLAKE2B ab870f535afb932c19aafdbc8f6f0d18703aea98c9297b64074743340f31dcacae7df274d721640ef832e494b1c5a3817f8c788e34d32ce03ad5140fd3a18a3d SHA512 777fe7244ec33ed979ca54e331a94a0b4cdb04365c4d96b5ce480172f167f5951b892d3aa78128a6695b40ffb70633d65c1e83c1ad374620a3b78a9c74059e29
+DIST tox-4.60.0.tar.gz.provenance 9532 BLAKE2B c91724df57220d01785d6fc4dd0cfd855d662957b3b474d5ce9f512c07d06590511f95c4a530ecd614adecc7a5c3f07f35408bd8704aec330fa820f91d6fc217 SHA512 f3d55d1e0b005691e2cbe32bdd5b6e9f46f7ff4484ee95bd1f75211788012d1aed3f28c5762effc3acd570709931e6b3fee7797c6b197dccb44b7144b757fb93

diff --git a/dev-python/tox/tox-4.60.0.ebuild b/dev-python/tox/tox-4.60.0.ebuild
new file mode 100644
index 000000000000..7193f95d1704
--- /dev/null
+++ b/dev-python/tox/tox-4.60.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+	https://tox.readthedocs.io/
+	https://github.com/tox-dev/tox/
+	https://pypi.org/project/tox/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+	dev-python/cachetools[${PYTHON_USEDEP}]
+	dev-python/colorama[${PYTHON_USEDEP}]
+	dev-python/filelock[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/platformdirs[${PYTHON_USEDEP}]
+	dev-python/pluggy[${PYTHON_USEDEP}]
+	dev-python/pyproject-api[${PYTHON_USEDEP}]
+	dev-python/python-discovery[${PYTHON_USEDEP}]
+	dev-python/tomli-w[${PYTHON_USEDEP}]
+	dev-python/virtualenv[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '
+		>=dev-python/typing-extensions-4.15[${PYTHON_USEDEP}]
+	' 3.12)
+"
+BDEPEND="
+	dev-python/docutils[${PYTHON_USEDEP}]
+	dev-python/hatch-vcs[${PYTHON_USEDEP}]
+	test? (
+		dev-python/argcomplete[${PYTHON_USEDEP}]
+		dev-python/build[${PYTHON_USEDEP}]
+		dev-python/distlib[${PYTHON_USEDEP}]
+		dev-python/psutil[${PYTHON_USEDEP}]
+		dev-python/re-assert[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
+# upstream timeouts are quite short
+: ${EPYTEST_TIMEOUT:=180}
+# xdist seems to mess up state between successive implementation runs
+distutils_enable_tests pytest
+
+src_prepare() {
+	# upstream lower bounds are meaningless
+	sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	# devpi_process is not packaged, and has lots of dependencies
+	cat > "${T}"/devpi_process.py <<-EOF || die
+		def IndexServer(*args, **kwargs): raise NotImplementedError()
+	EOF
+
+	local -x PYTHONPATH=${T}:${PYTHONPATH}
+	local EPYTEST_DESELECT=(
+		# Internet
+		tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+		tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
+		tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
+		# require tombi
+		tests/session/cmd/test_schema.py::test_schema_tombi_lint
+	)
+	local EPYTEST_IGNORE=(
+		# requires devpi*
+		tests/test_provision.py
+	)
+
+	epytest -o addopts=
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.